=== molecule/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)

PROJECT(Molecule)

file (GLOB Molecule_src src/*.c src/*.cpp)
file (GLOB Molecule_headers *.h *.hpp src/*.h src/*.hpp)

# Collect file list for GZip
file (GLOB GZip_src ${Common_SOURCE_DIR}/gzip/*.c*)
file (GLOB GZip_headers ${Common_SOURCE_DIR}/gzip/*.h*)
source_group("GZip" FILES ${GZip_src} ${GZip_headers})

include_directories(${Common_SOURCE_DIR} ${Molecule_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR} ${TinyXML_HEADERS_DIR})

add_library(molecule OBJECT ${Molecule_src} ${Molecule_headers} ${GZip_src} ${GZip_headers})


if(UNIX OR APPLE)
    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wall -Wno-unused-but-set-variable -Wno-strict-aliasing -Wno-strict-overflow")
endif()

set_target_properties(molecule PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -DTARGET_API_LIB")

include_directories (../third_party/inchi/INCHI_BASE/src)
# include_directories (../third_party/inchi/INCHI_API/libinchi/src)
