=== debian/changelog ===
indigo (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to the uploaders.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Dec 2025 09:42:56 -0500

indigo (1.2.3-6) unstable; urgency=medium

  * Team upload.
  * Build and package libbingo.
  * Avoid git usage which breaks git-buildpackage.

 -- Andrius Merkys <merkys@debian.org>  Thu, 27 Nov 2025 01:42:44 -0500
