=== debian/control ===
Source: indigo
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Andrius Merkys <merkys@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               default-jdk,
               dh-python,
               javahelper,
               junit5,
               libcairo2-dev,
               libfreetype-dev,
               libinchi-dev,
               libjna-java,
               libpng-dev,
               libtinyxml-dev,
               python3,
Standards-Version: 4.4.1
Homepage: https://lifescience.opensource.epam.com/indigo/index.html
Vcs-Browser: https://salsa.debian.org/debichem-team/indigo
Vcs-Git: https://salsa.debian.org/debichem-team/indigo.git
Rules-Requires-Root: no

Package: indigo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libindigo-java
Description: Organic Chemistry Toolkit Utilities
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the following utilities:
 .
  * indigo-depict: Molecule and reaction rendering utility
  * indigo-cano: Canonical SMILES generator
  * indigo-deco: R-Group deconvolution utility
  * chemdiff: Visual comparison of two SDF or SMILES files (needs the JAVA
    libraries)

Package: libbingo0d
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Organic Chemistry Toolkit (bingo shared library)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package includes the shared library for bingo.

Package: libbingo-dev
Architecture: any
Section: libdevel
Depends: libbingo0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Organic Chemistry Toolkit (bingo development files)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains bingo static library and development files.

Package: libindigo0d
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Organic Chemistry Toolkit
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.

Package: libindigo-dev
Architecture: any
Section: libdevel
Depends: libindigo0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Organic Chemistry Toolkit (development files)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the static library and header files.

Package: python3-indigo
Architecture: all
Section: python
Depends: libindigo0d (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Organic Chemistry Toolkit (Python module)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the Python modules.

Package: libindigo-java
Architecture: all
Section: java
Depends: libindigo0d (>= ${source:Version}),
         ${java:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Organic Chemistry Toolkit (Java package)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the Java packages.
