=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export CPPFLAGS  := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS    := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS  := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS   := $(shell dpkg-buildflags --get LDFLAGS)

export JAVA_HOME := /usr/lib/jvm/default-java
export CLASSPATH := /usr/share/java/jna.jar:/usr/share/java/junit-jupiter-api.jar:$(CURDIR)/indigo.jar:$(CURDIR)/indigo-renderer.jar:$(CURDIR)/common-controls.jar

%:
	dh $@ --with javahelper,python3

override_dh_auto_clean:
	find build_scripts/indigo-utils | grep -v CMakeLists | grep -v indigo-utils$$ | xargs rm -rf
	find . -type d -name "dist" | xargs rm -rf
	find . -name ".dep.inc" | xargs rm -f
	rm -f api/src/indigo_version.h
	rm -f $(CURDIR)/*.jar
	dh_auto_clean

override_dh_auto_configure:
	(cd build_scripts/indigo-utils && cmake -DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=ON -DWITH_STATIC=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
	 -DUSE_SYSTEM_ZLIB=YES -DUSE_SYSTEM_PNG=YES -DUSE_SYSTEM_CAIRO=YES -DUSE_SYSTEM_PIXMAN=YES \
	 -DCAIRO_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) \
	 -DPIXMAN_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) -DPIXMAN_INCLUDE_DIRS=/usr/include/pixman-1 -DLIBPIXMAN=libpixman-1.so \
	 -DTINYXML_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) .)
	(cd build_scripts/bingo && cmake -DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=ON -DWITH_STATIC=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
	 -DUSE_SYSTEM_ZLIB=YES -DUSE_SYSTEM_PNG=YES -DUSE_SYSTEM_CAIRO=YES -DUSE_SYSTEM_PIXMAN=YES \
	 -DCAIRO_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) \
	 -DPIXMAN_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) -DPIXMAN_INCLUDE_DIRS=/usr/include/pixman-1 -DLIBPIXMAN=libpixman-1.so \
	 -DTINYXML_LIBRARY_DIRS=/usr/lib/$(DEB_HOST_MULTIARCH) .)

execute_before_dh_auto_build:
	$(MAKE) -C build_scripts/indigo-utils VERBOSE=1
	$(MAKE) -C build_scripts/bingo VERBOSE=1

override_dh_auto_install-arch:
	dh_installdirs -a
	install $(CURDIR)/utils/chemdiff/chemdiff.sh						\
		debian/indigo-utils/usr/bin/chemdiff
	dh_auto_install -a

override_dh_auto_install-indep:
	dh_installdirs -i
	mkdir -p debian/python3-indigo/usr/lib/`py3versions -d`/dist-packages
	install -m0644 $(CURDIR)/api/python/indigo.py $(CURDIR)/api/plugins/renderer/python/*.py	\
		debian/python3-indigo/usr/lib/`py3versions -d`/dist-packages
	dh_auto_install -i

override_dh_makeshlibs:
	dh_makeshlibs -V
